package com.backendsys.service.B2c;

import com.backendsys.entity.B2c.B2cGoodSpecDTO;

import java.util.Map;

public interface B2cGoodSpecService {
    Map<String, Object> queryGoodSpecList(Integer pageNum, Integer pageSize, B2cGoodSpecDTO b2cGoodSpecDTO);
    Map<String, Object> queryGoodSpecDetail(Long good_id);
    Map<String, Object> insertGoodSpec(B2cGoodSpecDTO b2cGoodSpecDTO);
    Map<String, Object> updateGoodSpec(B2cGoodSpecDTO b2cGoodSpecDTO);
    Map<String, Object> deleteGoodSpec(B2cGoodSpecDTO b2cGoodSpecDTO);
}
